List all Replication Targets

Prev Next
Get
/replication-targets

List all Replication Targets visible to current user.

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

List of Replication Targets.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object (ReplicationTarget)

List of Replication Targets.

object

Represents a Replication Target.

id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

replicationTags
Array of string

Tags used for selecting items to replicate to this target. The tag builtin is not permitted.

string
status
string

Replication status.

Valid values[ "notConnected", "healthy", "warning", "error" ]
lastReplicationTime
string (date-time)

Last replication timestamp.

sourceHealthMessage
string

Source-side health check message that explains a controller-detected issue affecting this target’s status.

lastReplicationDetails
object (ReplicationDetails)
error
string

Error message from the last replication attempt that failed.

items
object (ReplicationItems)
administrativeRoles
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

clientProfiles
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

conditions
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

criteriaScripts
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

deviceClaimScripts
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

entitlementScripts
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

entitlements
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

identityProviders
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

ipPools
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

mfaProviders
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

policies
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

ringfenceRules
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

sites
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

tags
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

userClaimScripts
object (ReplicationReportItem)
successCount
number

Number of successful replications for this object type.

failureCount
number

Number of failed replications for this object type.

errors
Array of object (ReplicationReportError)

Errors for individual objects that failed to replicate.

object
id
string (uuid)

ID of the object that failed, if available.

name
string

Name of the object that failed to replicate.

message
string

Failure reason.

field
string

Optional field name that caused the failure, if applicable.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.